## hrp dns

DNS resolution for different source and record types

```
hrp dns $url [flags]
```

### Options

```
      --dns-record int      DNS record type
                            1: A
                            28: AAAA
                            5: CNAME (default 1)
      --dns-server string   DNS server, only available for local DNS source
      --dns-source int      DNS source type
                            0: local DNS
                            1: http DNS
                            2: google DNS
  -h, --help                help for dns
      --save-tests          Save DNS resolution result as json
```

### SEE ALSO

* [hrp](hrp.md)	 - Next-Generation API Testing Solution.

###### Auto generated by spf13/cobra on 21-Oct-2022
